Ruby: parser_params Struct Reference

Ruby 3.2.5p208 (2024-07-26 revision 31d0f1a2e7dbfb60731d1f05b868e1d578cda493)

Data Fields
parser_params Struct Reference

## Data Fields
rb_imemo_tmpbuf_t * | heap
YYSTYPE * | lval
YYLTYPE * | yylloc
struct { |
rb_strterm_t * strterm |
VALUE(* gets )(struct parser_params *, VALUE) |
VALUE input |
VALUE lastline |
VALUE nextline |
const char * pbeg |
const char * pcur |
const char * pend |
const char * ptok |
union { |
long ptr |
VALUE(* call )(VALUE, int) |
} gets_ |
enum lex_state_e state |
int paren_nest |
int lpar_beg |
int brace_nest |
} | lex |
stack_type | cond_stack
stack_type | cmdarg_stack
int | tokidx
int | toksiz
int | tokline
int | heredoc_end
int | heredoc_indent
int | heredoc_line_indent
char * | tokenbuf
struct local_vars * | lvtbl
st_table * | pvtbl
st_table * | pktbl
int | line_count
int | ruby_sourceline
const char * | ruby_sourcefile
VALUE | ruby_sourcefile_string
rb_encoding * | enc
token_info * | token_info
VALUE | case_labels
VALUE | compile_option
VALUE | debug_buffer
VALUE | debug_output
struct { |
VALUE token |
int beg_line |
int beg_col |
int end_line |
int end_col |
} | delayed |
ID | cur_arg
rb_ast_t * | ast
int | node_id
int | max_numparam
struct lex_context | ctxt
unsigned int | command_start:1
unsigned int | eofp: 1
unsigned int | ruby__end__seen: 1
unsigned int | debug: 1
unsigned int | has_shebang: 1
unsigned int | token_seen: 1
unsigned int | token_info_enabled: 1
unsigned int | error_p: 1
unsigned int | cr_seen: 1
unsigned int | do_print: 1
unsigned int | do_loop: 1
unsigned int | do_chomp: 1
unsigned int | do_split: 1
unsigned int | keep_script_lines: 1
unsigned int | error_tolerant: 1
unsigned int | keep_tokens: 1
NODE * | eval_tree_begin
NODE * | eval_tree
VALUE | error_buffer
VALUE | debug_lines
const struct rb_iseq_struct * | parent_iseq
VALUE | end_expect_token_locations
int | token_id
VALUE | tokens

## Detailed Description

Definition at line 335 of file parse.c.

## Field Documentation

## ◆ ast

rb_ast_t* parser_params::ast

Definition at line 397 of file parse.c.

## ◆ beg_col

int parser_params::beg_col

Definition at line 390 of file parse.c.

## ◆ beg_line

int parser_params::beg_line

Definition at line 389 of file parse.c.

## ◆ brace_nest

int parser_params::brace_nest

Definition at line 361 of file parse.c.

## ◆ call

VALUE(* parser_params::call) (VALUE, int)

Definition at line 353 of file parse.c.

## ◆ case_labels

VALUE parser_params::case_labels

Definition at line 381 of file parse.c.

## ◆ cmdarg_stack

stack_type parser_params::cmdarg_stack

Definition at line 364 of file parse.c.

## ◆ command_start

unsigned int parser_params::command_start

Definition at line 404 of file parse.c.

## ◆ compile_option

VALUE parser_params::compile_option

Definition at line 382 of file parse.c.

## ◆ cond_stack

stack_type parser_params::cond_stack

Definition at line 363 of file parse.c.

## ◆ cr_seen

unsigned int parser_params::cr_seen

Definition at line 415 of file parse.c.

## ◆ ctxt

struct lex_context parser_params::ctxt

Definition at line 402 of file parse.c.

## ◆ cur_arg

ID parser_params::cur_arg

Definition at line 395 of file parse.c.

## ◆ debug

unsigned int parser_params::debug

Definition at line 407 of file parse.c.

## ◆ debug_buffer

VALUE parser_params::debug_buffer

Definition at line 384 of file parse.c.

## ◆ debug_lines

VALUE parser_params::debug_lines

Definition at line 431 of file parse.c.

## ◆ debug_output

VALUE parser_params::debug_output

Definition at line 385 of file parse.c.

## ◆ do_chomp

unsigned int parser_params::do_chomp

Definition at line 422 of file parse.c.

## ◆ do_loop

unsigned int parser_params::do_loop

Definition at line 421 of file parse.c.

## ◆ do_print

unsigned int parser_params::do_print

Definition at line 420 of file parse.c.

## ◆ do_split

unsigned int parser_params::do_split

Definition at line 423 of file parse.c.

## ◆ enc

rb_encoding* parser_params::enc

Definition at line 379 of file parse.c.

## ◆ end_col

int parser_params::end_col

Definition at line 392 of file parse.c.

## ◆ end_expect_token_locations

VALUE parser_params::end_expect_token_locations

Definition at line 434 of file parse.c.

## ◆ end_line

int parser_params::end_line

Definition at line 391 of file parse.c.

## ◆ eofp

unsigned int parser_params::eofp

Definition at line 405 of file parse.c.

## ◆ error_buffer

VALUE parser_params::error_buffer

Definition at line 430 of file parse.c.

## ◆ error_p

unsigned int parser_params::error_p

Definition at line 414 of file parse.c.

## ◆ error_tolerant

unsigned int parser_params::error_tolerant

Definition at line 425 of file parse.c.

## ◆ eval_tree

NODE* parser_params::eval_tree

Definition at line 429 of file parse.c.

## ◆ eval_tree_begin

NODE* parser_params::eval_tree_begin

Definition at line 428 of file parse.c.

## ◆ gets

VALUE(* parser_params::gets) (struct parser_params *, VALUE)

Definition at line 343 of file parse.c.

## ◆ has_shebang

unsigned int parser_params::has_shebang

Definition at line 408 of file parse.c.

## ◆ heap

rb_imemo_tmpbuf_t* parser_params::heap

Definition at line 336 of file parse.c.

## ◆ heredoc_end

int parser_params::heredoc_end

Definition at line 368 of file parse.c.

## ◆ heredoc_indent

int parser_params::heredoc_indent

Definition at line 369 of file parse.c.

## ◆ heredoc_line_indent

int parser_params::heredoc_line_indent

Definition at line 370 of file parse.c.

## ◆ input

VALUE parser_params::input

Definition at line 344 of file parse.c.

## ◆ keep_script_lines

unsigned int parser_params::keep_script_lines

Definition at line 424 of file parse.c.

## ◆ keep_tokens

unsigned int parser_params::keep_tokens

Definition at line 426 of file parse.c.

## ◆ lastline

VALUE parser_params::lastline

Definition at line 345 of file parse.c.

## ◆ line_count

int parser_params::line_count

Definition at line 375 of file parse.c.

## ◆ lpar_beg

int parser_params::lpar_beg

Definition at line 359 of file parse.c.

## ◆ lval

YYSTYPE* parser_params::lval

Definition at line 338 of file parse.c.

## ◆ lvtbl

struct local_vars* parser_params::lvtbl

Definition at line 372 of file parse.c.

## ◆ max_numparam

int parser_params::max_numparam

Definition at line 400 of file parse.c.

## ◆ nextline

VALUE parser_params::nextline

Definition at line 346 of file parse.c.

## ◆ node_id

int parser_params::node_id

Definition at line 398 of file parse.c.

## ◆ paren_nest

int parser_params::paren_nest

Definition at line 357 of file parse.c.

## ◆ parent_iseq

const struct rb_iseq_struct* parser_params::parent_iseq

Definition at line 432 of file parse.c.

## ◆ pbeg

const char* parser_params::pbeg

Definition at line 347 of file parse.c.

## ◆ pcur

const char* parser_params::pcur

Definition at line 348 of file parse.c.

## ◆ pend

const char* parser_params::pend

Definition at line 349 of file parse.c.

## ◆ pktbl

st_table* parser_params::pktbl

Definition at line 374 of file parse.c.

## ◆ ptok

const char* parser_params::ptok

Definition at line 350 of file parse.c.

## ◆ ptr

long parser_params::ptr

Definition at line 352 of file parse.c.

## ◆ pvtbl

st_table* parser_params::pvtbl

Definition at line 373 of file parse.c.

## ◆ ruby__end__seen

unsigned int parser_params::ruby__end__seen

Definition at line 406 of file parse.c.

## ◆ ruby_sourcefile

const char* parser_params::ruby_sourcefile

Definition at line 377 of file parse.c.

## ◆ ruby_sourcefile_string

VALUE parser_params::ruby_sourcefile_string

Definition at line 378 of file parse.c.

## ◆ ruby_sourceline

int parser_params::ruby_sourceline

Definition at line 376 of file parse.c.

## ◆ state

enum lex_state_e parser_params::state

Definition at line 355 of file parse.c.

## ◆ strterm

rb_strterm_t* parser_params::strterm

Definition at line 342 of file parse.c.

## ◆ token

VALUE parser_params::token

Definition at line 388 of file parse.c.

## ◆ token_id

int parser_params::token_id

Definition at line 436 of file parse.c.

## ◆ token_info

token_info* parser_params::token_info

Definition at line 380 of file parse.c.

## ◆ token_info_enabled

unsigned int parser_params::token_info_enabled

Definition at line 410 of file parse.c.

## ◆ token_seen

unsigned int parser_params::token_seen

Definition at line 409 of file parse.c.

## ◆ tokenbuf

char* parser_params::tokenbuf

Definition at line 371 of file parse.c.

## ◆ tokens

VALUE parser_params::tokens

Definition at line 438 of file parse.c.

## ◆ tokidx

int parser_params::tokidx

Definition at line 365 of file parse.c.

## ◆ tokline

int parser_params::tokline

Definition at line 367 of file parse.c.

## ◆ toksiz

int parser_params::toksiz

Definition at line 366 of file parse.c.

## ◆ yylloc

YYLTYPE* parser_params::yylloc

Definition at line 339 of file parse.c.

The documentation for this struct was generated from the following file:

- parse.c